Results 1 to 6 of 6

Thread: 32 bit apps on 64 bit Suse

  1. #1

    Default 32 bit apps on 64 bit Suse

    I wanna install 32 bit environment in my 64bit OpenSUSE 13.1. There is NO "32 Bit environment" in YaST!

  2. #2

    Default Re: 32 bit apps on 64 bit Suse

    You dont really need it, usually when you install a 32bit app it usually pulls in the 32bit dependencies.
    32bit apps will work fine in openSUSE 13.1 64bit no matter what your DE is.

  3. #3
    Join Date
    Feb 2009
    Location
    Spain
    Posts
    25,547

    Default Re: 32 bit apps on 64 bit Suse

    On 2014-02-17 20:56, velizarcho123 wrote:
    >
    > I wanna install 32 bit environment in my 64bit OpenSUSE 13.1. There is
    > NO "32 Bit environment" in YaST!


    Yes, there is.
    I think there is a pattern... but I can not locate it. :-?

    --
    Cheers / Saludos,

    Carlos E. R.

    (from 13.1 x86_64 "Bottle" (Minas Tirith))

  4. #4

    Default Re: 32 bit apps on 64 bit Suse

    Quote Originally Posted by robin_listas View Post
    On 2014-02-17 20:56, velizarcho123 wrote:
    >
    > I wanna install 32 bit environment in my 64bit OpenSUSE 13.1. There is
    > NO "32 Bit environment" in YaST!


    Yes, there is.
    I think there is a pattern... but I can not locate it. :-?

    --
    Cheers / Saludos,

    Carlos E. R.

    (from 13.1 x86_64 "Bottle" (Minas Tirith))
    Again its not needed if you are trying to run 32bit apps under 64bit openSUSE

  5. #5

    Default Re: 32 bit apps on 64 bit Suse

    Quote Originally Posted by MadmanRB View Post
    Again its not needed if you are trying to run 32bit apps under 64bit openSUSE
    Yes, 32bit libraries _are_ needed if you want to run 32bit apps under 64bit openSUSE, even with 13.1.

    But there is no working 32bit pattern in 13.1 anymore. Although the package patterns-openSUSE-32bit does exist, but it doesn't pull in any packages AFAIK.


    @velizarcho123:
    What 32bit apps are you trying to run?

    As MadmanRB wrote, if you install an openSUSE package requiring 32bit libs, they should be pulled in and installed automatically (if not, it's a bug).
    But for 3rd party packages (like skype) this might not be true.

    Maybe try to run the offending application in a terminal window to see which library it needs that isn't installed.
    Hint: in openSUSE-64bit the 32bit library packages are called "libxxx-32bit" so they can be co-installed with the 64bit versions.

    If in doubt just ask with the terminal output, please.

  6. #6

    Default Re: 32 bit apps on 64 bit Suse

    Quote Originally Posted by wolfi323 View Post
    Yes, 32bit libraries _are_ needed if you want to run 32bit apps under 64bit openSUSE, even with 13.1.

    But there is no working 32bit pattern in 13.1 anymore. Although the package patterns-openSUSE-32bit does exist, but it doesn't pull in any packages AFAIK.


    @velizarcho123:
    What 32bit apps are you trying to run?

    As MadmanRB wrote, if you install an openSUSE package requiring 32bit libs, they should be pulled in and installed automatically (if not, it's a bug).
    But for 3rd party packages (like skype) this might not be true.

    Maybe try to run the offending application in a terminal window to see which library it needs that isn't installed.
    Hint: in openSUSE-64bit the 32bit library packages are called "libxxx-32bit" so they can be co-installed with the 64bit versions.

    If in doubt just ask with the terminal output, please.
    Yeah I meant the metapackage sorry for not clarifying, I am a little under the weather today

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •